import PositionType from '../PositionType';
import ChildrenSorterStrategy from './ChildrenSorterStrategy';
import Node from './Node';
import RootedTreeSet from './RootedTreeSet';
declare abstract class AbstractBasicSorter extends ChildrenSorterStrategy {
    private INTERNODE_VERTICAL_PADDING;
    computeChildrenIdByHeights(treeSet: RootedTreeSet, node: Node): Map<number, number>;
    getVerticalPadding(): number;
    _computeChildrenHeight(treeSet: RootedTreeSet, node: Node, heightCache?: Map<number, number>): number;
    protected _getSortedChildren(treeSet: RootedTreeSet, node: Node): Node[];
    protected _getRelativeDirection(reference: PositionType, position: PositionType): 1 | -1;
}
export default AbstractBasicSorter;
